View as Markdown

Get the integration this API key resolved to

GET /v1/integration
Base URL
https://api.isnotai.com
Available Regions 2 regions

Responses

200 application/json

Payload of IntegrationSelfResponse

Show 1 response attribute Hide response attributes
data
object
Show 5 data attributes Hide data attributes
id
string
institutionName
string
planId
string
apiKeyMasked
string
apiKeyLastUsedAt
string(date-time)
401 application/json

Payload of ErrorEnvelope

Show 1 response attribute Hide response attributes
error
object
Show 3 error attributes Hide error attributes
code
string
message
string
details
object
GET /v1/integration
curl --request GET \
  --url https://api.isnotai.com/v1/integration \
  --header 'Authorization: Bearer aik_v1_YOUR_API_KEY'
import requests

url = "https://api.isnotai.com/v1/integration"

headers = {"Authorization": "Bearer aik_v1_YOUR_API_KEY"}

response = requests.get(url, headers=headers)

print(response.json())
const fetch = require('node-fetch');

const url = 'https://api.isnotai.com/v1/integration';
const options = {method: 'GET', headers: {Authorization: 'Bearer aik_v1_YOUR_API_KEY'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
    Method = HttpMethod.Get,
    RequestUri = new Uri("https://api.isnotai.com/v1/integration"),
    Headers =
    {
        { "Authorization", "Bearer aik_v1_YOUR_API_KEY" },
    },
};
using (var response = await client.SendAsync(request))
{
    response.EnsureSuccessStatusCode();
    var body = await response.Content.ReadAsStringAsync();
    Console.WriteLine(body);
}

Try it

Collapse

Sent to the API as Authorization: Bearer aik_v1_.... Held only in this tab's input element; re-enter on each browser tab. The docs site never receives or stores it.

200 Response examples
{
  "data": {
    "id": "example-id-123",
    "institutionName": "string",
    "planId": "string",
    "apiKeyMasked": "string",
    "apiKeyLastUsedAt": "2024-01-01T00:00:00Z"
  }
}
401 Response examples
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  }
}